Set the expected values for all tickets in a run to their observed values. This also updates the expected results for all future runs, and updates the statistics of the test run.
curl --request POST \
--url https://demo.enneo.ai/api/mind/aiQualityCheck/testRun/{testRunId}/acceptAllExpectedResults \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "All test ticket expected results accepted successfully",
"testTickets": [
{
"id": 123,
"testRunId": 123,
"testCaseId": 123,
"ticketId": 123,
"aiAgentId": "<string>",
"state": "scheduled",
"config": {},
"expectedResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
},
"actualResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
},
"rawResult": {},
"outcomeShort": "pass",
"outcome": {}
}
]
}JWT-based authentication
The numeric ID of the test run
Successful operation
true
"All test ticket expected results accepted successfully"
Show child attributes
The ID of the test ticket. Null if not yet saved.
The ID of the test run
The ID of the test case
The ID of the ticket (null for chat/voice tests)
The ID code of the AI agent for reference (from test case's aiAgentIds). Can be null if no agents are specified.
The scheduling state of the ticket
scheduled, processing, completed, error If specified, any additional test run parameters
The expected result of the test case
Show child attributes
"123456"
{
"change_meter_reading": { "_action": null, "requestedDeposit": 35 }
}
[
"change_meter_reading",
"change_payment_method"
]
{
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
}
{
"change_meter_reading": ["Meter reading is plausible"]
}
{ "change_meter_reading": null }
{ "change_meter_reading": "interaction" }
"disappointed"
["sales", "marketing"]
"human"
The sources used by Cortex to generate the response
{
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
}
null
The actual result of the test case
Show child attributes
"123456"
{
"change_meter_reading": { "_action": null, "requestedDeposit": 35 }
}
[
"change_meter_reading",
"change_payment_method"
]
{
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
}
{
"change_meter_reading": ["Meter reading is plausible"]
}
{ "change_meter_reading": null }
{ "change_meter_reading": "interaction" }
"disappointed"
["sales", "marketing"]
"human"
The sources used by Cortex to generate the response
{
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
}
null
The raw result of the test case
The short outcome of the test case (pass, fail, or unknown). Null if not yet processed.
pass, fail, unknown The detailed outcome of the test case, with a property per test case. See also the AiTestTicketResult for further reference. Null if not yet processed.
curl --request POST \
--url https://demo.enneo.ai/api/mind/aiQualityCheck/testRun/{testRunId}/acceptAllExpectedResults \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "All test ticket expected results accepted successfully",
"testTickets": [
{
"id": 123,
"testRunId": 123,
"testCaseId": 123,
"ticketId": 123,
"aiAgentId": "<string>",
"state": "scheduled",
"config": {},
"expectedResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
},
"actualResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
},
"rawResult": {},
"outcomeShort": "pass",
"outcome": {}
}
]
}